<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setStyles](./bitburner.userinterface.setstyles.md)

## UserInterface.setStyles() method

Sets the current styles

**Signature:**

```typescript
setStyles(newStyles: IStyleSettings): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  newStyles | [IStyleSettings](./bitburner.istylesettings.md) |  |

**Returns:**

void

## Remarks

RAM cost: 0 GB

## Example

Usage example (NS2)

```js
const styles = ns.ui.getStyles();
styles.fontFamily = 'Comic Sans Ms';
ns.ui.setStyles(styles);
```

